curl --request GET \
--url https://api.soharhealth.com/v1/verifications/{verificationId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.soharhealth.com/v1/verifications/{verificationId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.soharhealth.com/v1/verifications/{verificationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"patientId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"verificationId": "fb701ac1-1246-4860-b1ec-bd916b97a990",
"timestamp": "2024-01-01T12:00:00.000Z",
"status": "complete.eligible",
"memberId": "00000000",
"payerId": "60054",
"payerName": "Aetna",
"benefits": [
{
"networkStatus": "inn",
"tier": 1,
"coinsurance": 0.1,
"copay": 30,
"totalDeductible": 1000,
"remainingDeductible": 847.56,
"outOfPocket": 10000,
"outOfPocketRemaining": 5103.21,
"coverageLevelCode": "IND"
}
],
"relatedEntities": [
{
"payerId": "01260",
"payerName": "Magellan",
"memberId": "00000000",
"entityIdentifierCode": "PRP",
"entityQualifier": "PART_A"
}
],
"patient": {
"firstName": "John",
"lastName": "Doe",
"dateOfBirth": "09/20/2023",
"state": "CA",
"address": "1 BROADWAY, LOS ANGELES, CA 90210",
"subscriberRelationshipCode": "18"
},
"subscriber": {
"firstName": "JOHN",
"lastName": "DOE"
},
"coverageStartDate": "09/20/2023",
"coverageEndDate": "09/20/2023",
"planName": "Open Choice",
"groupNumber": "123456",
"groupName": "Acme Corporation",
"insuranceTypeCode": "HM",
"id": "123456"
}{
"error": "invalid_request_error"
}{
"error": "invalid_request_error"
}{
"error": "Too many requests"
}Get Verification V1
This API is still available but no longer supported and is planned for deprecation in a future release; users should transition to the Get Verification API.
Authorizations
Include an OAuth 2.0 bearer token in the Authorization header. See Authentication.
Response
A verification
The Sohar ID for the patient
"f47ac10b-58cc-4372-a567-0e02b2c3d479"
The Sohar ID for the verification
"fb701ac1-1246-4860-b1ec-bd916b97a990"
An ISO 8601 date and time string describing when the verification was created
"2024-01-01T12:00:00.000Z"
The insurance member ID
"00000000"
The payer's name. Note that this value may be different to the value provided in the original request if the original payer was incorrect and the correct payer has been found
"Aetna"
Show child attributes
Show child attributes
An array of related entities
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Date on which coverage began in MM/DD/YYYY format
^(0[1-9]|1[0-2])\/(0[1-9]|[12][0-9]|3[01])\/(19|20)\d\d$"09/20/2023"
Date on which coverage ends in MM/DD/YYYY format
^(0[1-9]|1[0-2])\/(0[1-9]|[12][0-9]|3[01])\/(19|20)\d\d$"09/20/2023"
Describes the patient's plan
"Open Choice"
Describes the patient's group number
"123456"
Describes the patient's group name
"Acme Corporation"
Describes the patient's insurance type
"HM"
An optional identifier for the verification. This is a user-defined value that can be used when creating the verification
"123456"